from flask_wtf import FlaskForm
from wtforms import StringField, SubmitField
from wtforms.fields.datetime import DateField
from wtforms.validators import InputRequired, Optional


# TODO: compléter le formulaire de recherche avancée
class SearchForm(FlaskForm):
    q = StringField('Rechercher', validators=[InputRequired()])

class AdvancedSearchForm(SearchForm):
    date = DateField('Date', validators=[Optional()])
    submit = SubmitField('Affiner la recherche')
